Boomi Data Integration API Reference (1.0.0) - Accounts
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Add Or Update Scim Provisioning
Authorization scope: account:write
Add or update SCIM provisioning. This endpoint returns the connection string used to communicate with your SCIM app and the authentication token
Authorizations:
path Parameters
| account_id required | string (Account Id) |
Responses
Response Schema: application/json
| account_id required | string (Account Id) The account id |
| scim_service_url required | string (Scim Service Url) The connection string (URL) used to communicate with your SCIM app |
| token required | string (Token) The SCIM authentication token. Keep the token somewhere safe. The token will be shown only once. |
Response samples
- 200
- 422
{- "account_id": "65c2465a76ba59de1a868a4e",
- "token": "1234"
}Delete Scim Provisioning
Authorization scope: account:write
Deletes the scim provisioning. This endpoint won't delete any existing resource that were already sync by the SCIM.
Authorizations:
path Parameters
| account_id required | string (Account Id) |
Responses
Response samples
- 422
{- "detail": [
- {
- "loc": [
- "string"
], - "msg": "string",
- "type": "string"
}
]
}Get Scim Provisioning Status
Authorization scope: account:write
Get SCIM provisioning status
Authorizations:
path Parameters
| account_id required | string (Account Id) |
Responses
Response Schema: application/json
| account_id required | string (Account Id) The account id |
| is_enabled required | boolean (Is Enabled) A flag that indicates whether SCIM provisioning is enabled |
| scim_service_url required | string (Scim Service Url) The connection string (URL) used to communicate with your SCIM app |
Response samples
- 200
- 422
{- "account_id": "65c2465a76ba59de1a868a4e",
- "is_enabled": true,
}